package com.zhyc.module.biosafety.service;

import java.util.List;

import com.zhyc.module.biosafety.domain.Treatment;

/**
 * 治疗记录Service接口
 * 
 * @author ruoyi
 * @date 2025-07-15
 */
public interface ITreatmentService 
{
    /**
     * 查询治疗记录
     * 
     * @param id 治疗记录主键
     * @return 治疗记录
     */
    public Treatment selectTreatmentById(Long id);

    /**
     * 查询治疗记录列表
     * 
     * @param treatment 治疗记录
     * @return 治疗记录集合
     */
    public List<Treatment> selectTreatmentList(Treatment treatment);

    /**
     * 新增治疗记录
     * 
     * @param treatment 治疗记录
     * @return 结果
     */
    public int insertTreatment(Treatment treatment);


    /**
     * 修改治疗记录
     * 
     * @param treatment 治疗记录
     * @return 结果
     */
    public int updateTreatment(Treatment treatment);

    /**
     * 批量删除治疗记录
     * 
     * @param ids 需要删除的治疗记录主键集合
     * @return 结果
     */
    public int deleteTreatmentByIds(Long[] ids);

    /**
     * 删除治疗记录信息
     * 
     * @param id 治疗记录主键
     * @return 结果
     */
    public int deleteTreatmentById(Long id);
}
